(function ($, document, Drupal) {
    Drupal.behaviors.wcmsheadersearch = {
        attach: function (context, settings) {

            $('.uw-search--checkboxlabel').on( "click", function() {
                $(this).toggleClass('close');
                $('.uw-colour-bar').toggleClass('open');
            });


            // apply timeout to the to event firing
            // so it fires at end of event.
            function debouncer(func) {
                var timeoutID,
                    timeout = 0;
                return function () {
                    var scope = this,
                        args = arguments;
                    clearTimeout(timeoutID);
                    timeoutID = setTimeout(function () {
                        func.apply(scope, Array.prototype.slice.call(args));
                    }, timeout);
                };
            }

            // Check the width of the screen and
            // force the button click if wider that 767px.
            function checkWidth() {
                // Set screenWidth var
                var screenWidth = $(window).width();
                if ($('.uw-colour-bar').hasClass('open')){

                    $('.uw-search--checkboxlabel').click();
                }
                if (screenWidth > 767) {

                    if ($('.uw-colour-bar').hasClass('open')){

                        $('.uw-search--checkboxlabel').click();
                    }

                }
            }

            // Listen to event resize and apply the debouncer
            // to the menuCheckWidth function.
            $(window).resize(
                debouncer(function () {
                    checkWidth();
                    }
                )
            );

            checkWidth();
        }
    }
})(jQuery, document, Drupal);
